Loading...
Searching...
No Matches
key_in Struct Reference

Bundle IPv4 address and port as a hash key. More...

## Public Attributes

in_addr_t const | addr
in_port_t const | port
uint16_t const | padding

## Detailed Description

Bundle IPv4 address and port as a hash key.

A `padding` member is added to allow the padding bytes to be initialized to zero in a designated initializer, e.g.:

struct key_in key = {
.addr = 0xC0000202,
.port = 0x4321
};
The goal is to avoid hashing uninitialized bytes in the hash key.
key_in
Bundle IPv4 address and port as a hash key.
Definition listener_manager.c:93

The documentation for this struct was generated from the following file:

- lib/listener_manager.c